@charset "utf-8";

#head {
  margin: 0 auto 8vw;
  max-width: 1920px;
}
#thanks {
  width: 50vw;
  max-width: 360px;
  margin: 0 auto 5vw;
}
.txt {
  font-size: .875rem;
  text-align: center;
}

/* form */
#form form {
  margin-top: 8vw;
}
form > dl {
  padding: 1em 0;
  background: var(--gradient) top / 100% 1px no-repeat;
  position: relative;
}
form > dl:last-of-type {
  background: var(--gradient) top / 100% 1px no-repeat, var(--gradient) bottom / 100% 1px no-repeat;
}
form dt {
  font-weight: 700;
}
form dt .require {
  margin-top: -.2em;
  margin-left: .5em;
  padding: .2em .7em .3em;
  color: #fff;
  font-size: .625rem;
  line-height: 1;
  vertical-align: middle;
  background: var(--red);
  border-radius: 2px;
  display: inline-block;
}
form dd {
  margin-top: .5em;
  overflow-wrap: anywhere;
}
form dd dl:not(:first-of-type) {
  margin-top: 1em;
}
form input,
form select,
form textarea {
  padding: .5em;
  color: var(--txt-color);
  font-size: 16px;
  line-height: 1.1;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  appearance: none;
  -webkit-appearance: none;
}
form input,
form textarea {
  width: 100%;
}
form input:focus,
form select:focus,
form textarea:focus {
  border-color: var(--pink);
  outline: none;
}
::placeholder {
  color: #ccc;
}
input[type="date"] {
  width: 100%!important;
  min-height: 2.23em;
  appearance: auto;
  -webkit-appearance: auto;
}
input[type="file"] {
  padding: 0;
  border: none;
}
input[type="radio"],
input[type="file"] {
  width: 1px;
  height: 1px;
  position: absolute;
  opacity: 0;
}
form button {
  margin: 8vw auto 0;
  padding: 0;
  width: 80%;
  max-width: 650px;
  background: none;
  border: none;
  display: block;
  outline: none;
  appearance: none!important;
  -webkit-appearance: none!important;
  cursor: pointer;
  transition: .3s ease;
}
form button:hover {
  opacity: .7;
}

.selectbox {
  width: fit-content;
  max-width: 100%;
  display: inline-block;
  position: relative;
}
.selectbox::after {
  content: '';
  margin-top: -3px;
  width: 8px;
  height: 8px;
  border-bottom: 1px solid var(--txt-color);
  border-right: 1px solid var(--txt-color);
  transform: rotate(45deg);
  position: absolute;
  top: .9em;
  right: 12px;
  pointer-events: none;
}
.selectbox select {
  padding-right: 24px;
  max-width: 100%;
  cursor: pointer;
  appearance: none;
  -webkit-appearance: none;
}

.radio_box {
  line-height: 1.2;
  display: inline-flex;
  align-items: center;
  position: relative;
  cursor: pointer;
}
.radio_box:not(:first-of-type) {
  margin-left: 1em;
}
.radio_box::before {
  content: '';
  margin: .2em .5em 0 0;
  width: 1.2em;
  height: 1.2em;
  background: #f7f7f7;
  border: 1px solid #ddd;
  border-radius: 50%;
  display: block;
  flex-shrink: 0;
}
.radio_box:has(input:checked)::before {
  background: #fff;
}
.radio_box:has(input:checked)::after {
  content: '';
  width: .7em;
  height: .7em;
  background: var(--red);
  border-radius: 50%;
  position: absolute;
  left: .25em;
  top: 50%;
  transform: translateY(-38%);
}

#place {
  margin-top: .5em;
  font-size: .875rem;
  line-height: 1.2;
  vertical-align: baseline;
}

.photo_wrap {
  display: flex;
  gap: 1em;
}
.photo_wrap > div:nth-of-type(2) {
  padding-left: 1em;
  border-left: 1px dotted #ddd;
}
.photo_item {
  font-size: .75rem;
  flex: 1;
}
.photo_ttl {
  margin-bottom: .2em;
  font-size: .875rem;
}
.photo_item label {
  padding: 1em;
  text-align: center;
  background: #f7f7f7;
  border: 1px solid #ddd;
  border-radius: 4px;
  display: block;
  cursor: pointer;
}
.file_name {
  margin-top: .5em;
  font-size: .625rem;
  line-height: 1.2;
  overflow-wrap: anywhere;
}

input[name="last_name"],
input[name="first_name"],
input[name="last_name_kana"],
input[name="first_name_kana"] {
  width: calc(50% - 1.1ch);
}
input[name="age"],
input[name="height"],
input[name="postal1"],
input[name="postal2"] {
  width: 8ch;
}

.parsley-errors-list {
  margin-top: .5em;
}
.parsley-errors-list li {
  color: var(--red);
  font-size: .625rem;
  line-height: 1.2;
}
.parsley-errors-list li::before {
  content: '※';
}


@media (min-width: 744px) {
  #thanks {
    width: 30vw;
  }
  form > dl > dd {
    margin-top: 0;
  }
  form dd dd:first-child {
    margin-top: 0;
  }
  form button {
    width: 50%;
  }
  #place {
    margin: 0 auto 0 .5em;
    display: inline-block;
  }
}


@media (min-width: 1280px) {
  #head {
    margin-bottom: 80px;
  }
  #thanks {
    margin-bottom: 72px;
  }
  .txt {
    font-size: 1.25rem;
  }
  #form form {
    margin-top: 68px;
  }
  form > dl {
    padding: 1.5em 0;
    display: flex;
  }
  form > dl,
  form input, form select, form textarea {
    font-size: 1.25rem;
  }
  form dt {
    width: 32ch;
    flex-shrink: 0;
  }
  form dt .require {
    font-size: .875rem;
    border-radius: 4px;
  }
  form dd {
    flex: 1;
  }
  form input,
  form select,
  form textarea {
    border-radius: 8px;
  }
  #place {
    font-size: 1.25rem;
  }
  .photo_item {
    font-size: 1.25rem;
  }
  .photo_ttl {
    font-size: 1.5rem;
  }
  .file_name {
    font-size: 1rem;
  }
  form button {
    margin-top: 110px;
  }

}


@media (min-width: 1441px) {
  main {
    background-image: image-set(url(../img/bg.png) 1x, url(../img/bg@2x.png) 2x);
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
  }
  #head {
    margin-bottom: -5vw;
  }
  .wrap {
    padding-top: calc(5vw + 80px);
  }
}